﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PCUT.Extensions.Transforms
{
    public class TranslateTransform : SvgTransform
    {
        public double Dx { get; private set; }
        public double Dy { get; private set; }

        public TranslateTransform(double dx, double dy)
        {
            Dx = dx;
            Dy = dy;
        }

        protected override (double X, double Y) InternalTransform(double x, double y)
        {
            var x1 = x + Dx;
            var y1 = y + Dy;
            return (x1, y1);
        }
    }
}
