﻿namespace Http.Core.Constants
{
    public static class HttpConstants
    {
        public static class ClientNames
        {
            public const string AuthClient = "LoginClient";
            public const string ApiClient = "ApiClient";
        }

        public static class Auth
        {
            public const string BaseUrl = "http://app.pcut.vn:3000";

            public const string Login = "api/auth/login";
            public const string Refresh = "api/auth/refresh";

        }

        public static class Api
        {
            public const string BaseUrl = "http://app.pcut.vn:3000";

            public const string LogOut = "api/auth/logout";
            public const string Profile = "api/auth/profile";

            public const string Users = "api/users";
            public const string UserById = "api/users/{0}";
            public const string UserUnlockDevice = "api/users/{0}/device/unlock";

            public const string Categories = "api/categories";
            public const string CategoryById = "api/categories/{0}";

            public const string Upload = "api/files/upload";
            public const string Download = "api/files/{0}";

            public const string CdrFiles = "api/cdr-files";
            public const string CdrFileById = "api/cdr-files/{0}";

            public const string Metadata = "api/metadata";
            public const string MetadataById = "api/metadata/{0}";

            public const string Log = "api/logs";
        }
    }
}
